/*******************************************************************************
*
* Copyright 2012-2014 Freescale Semiconductor, Inc.
* Copyright 2018 NXP.
* All rights reserved.
*******************************************************************************/
#ifndef __DMA_H__

#define __DMA_H__

    //----------
    // INCLUDES
    //----------
	#include "wct_callbacks.h"
	#include "wct_hal.h"
	#include "wct_hal_cfg.h"

void DMA_Config(BYTE byDevice);
void DMA_Start(BYTE byDevice);
void DMA_Start_ForAdcRead(BYTE byDevice);
void DMA_Stop(BYTE byDevice);
void DMA_SetSourceAddress(BYTE byDevice, DWORD srcAddr);
void DMA_SetDestinationAddress(BYTE byDevice, DWORD dstAddr);
void DMA_SetDMALenth(BYTE byDevice, DWORD len);
void DMA_SetDestinationCircularBufferSize(BYTE byDevice, DWORD power);

#endif
